Bug 849540 - saving snapshot finished without a word on windows
saving snapshot finished without a word on windows
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 03:17 EDT by Meng Bo
Modified: 2015-05-14 22:03 EDT (History)
1 user (show)

See Also:
Fixed In Version: fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_207
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:49:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-08-20 03:17:07 EDT
Description of problem:
Take sanpshot of app on windows, it will finish without any text to let user know.

Version-Release number of selected component (if applicable):
rhc-0.97.12

How reproducible:
always

Steps to Reproduce:
1.Create app on Windows
2.Try to take snapshot for this app
3.
  
Actual results:
C:\Users\window7>rhc app snapshot save -a php1
Password:

Pulling down a snapshot to php1.tar.gz...

C:\Users\window7>

Expected results:
Should have the same output as Linux, at least tell user the pulling down finished.

Additional info:
Liunx output:

[bmeng@localhost ~]$ rhc app snapshot save -a php1s -d
Submitting form:
debug: true
rhlogin: bmeng@redhat.com
Contacting https://
Pulling down a snapshot to php1s.tar.gz...

Running extra dump: mongodb_dump.sh
Stopping application...
Waiting for stop to finish
Done
Creating and sending tar.gz
Running extra cleanup: mongodb_cleanup.sh
Starting application...
Done
Comment 1 Fabiano Franz 2012-10-04 15:15:09 EDT
Fixed in the rhc refactoring, the snapshot command will now exit with the RESULT: Success message.
Comment 2 Meng Bo 2012-10-08 07:12:55 EDT
Checked on rhc_fork_ami_209.


$rhc snapshot save -a php1
Pulling down a snapshot to php1.tar.gz...

RESULT:
Success

Note You need to log in before you can comment on or make changes to this bug.